package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.HelpVideo;

@Mapper
public interface HelpVideoMapper extends BaseMapper<HelpVideo> {

    public HelpVideo queryHelpVideo(HelpVideo helpVideo);

    public List<HelpVideo> queryHelpVideoList(HelpVideo helpVideo);

    public void saveHelpVideo(HelpVideo helpVideo);

    public void updateHelpVideo(HelpVideo helpVideo);

    public void deleteHelpVideo(HelpVideo helpVideo);

    public List<HelpVideo> queryHelpVideoPage(Map map);

    public Integer queryHelpVideoPageCount(Map map);

    public void saveHelpVideoBatch(List<HelpVideo>  helpVideoList);
}

